Commit f2bf3433 authored by Antoine Martin's avatar Antoine Martin
Browse files

Use custom packages list

The one from Quicklisp installed unused dependencies (triplea)
parent 83a8301e
......@@ -16,7 +16,7 @@ RUN apt-get update && apt-get install -y \
&& rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*
# Install all needed dependencies
ADD https://raw.githubusercontent.com/quicklisp/quicklisp-controller/master/debian-setup/debian-8-packages.txt .
ADD debian-8-packages.txt .
ADD https://www.quicklisp.org/quicklisp-controller/packages.tar .
RUN apt-get update && apt-get install -y \
--no-install-recommends `cat debian-8-packages.txt` \
......
swig
libopenmpi-dev
libusb-dev
libpython2.7-dev
curl
cvs
build-essential
git-core
darcs
zlib1g-dev
libzmq-dev
libssl1.0.0
libyaml-dev
libffi6
libffi-dev
libgsl0ldbl
libsdl1.2debian
libsdl-image1.2
libsdl-gfx1.2-dev
libsdl-mixer1.2-dev
libuv0.10-dev
primus-libs
libpython2.7
libgtkglext1-dev
libcairo2
libfreetype6-dev
libx11-dev
libgtk2.0-dev
libglu1-mesa
freeglut3-dev
libdrm-dev
libgbm-dev
libegl1-mesa-dev
libsdl2-2.0-0
libhdf5-dev
libgfortran3
libblas-dev
liblapack-dev
libfixposix-dev
libglib2.0-dev
libpango-1.0-0
libgdk-pixbuf2.0-0
libgtk2.0-0
libglib2.0-0
libpango1.0-0-dbg
libgtk-3-0
libsqlite3-0
libdevil-dev
libenchant-dev
libev-dev
libfam-dev
libfcgi-dev
libfbclient2
libfreeimage-dev
libfuse-dev
libsqlite3-dev
libgeoip-dev
libgeos-c1
libgit2-21
libftgl2
libglu1-mesa-dev
libgl1-mesa-dev
libglfw-dev
libglfw3
libgirepository-1.0-1
libgraphviz-dev
libkrb5-dev
liballegro-acodec5-dev
liballegro-audio5-dev
liballegro-dialog5-dev
liballegro-image5-dev
liballegro-physfs5-dev
liballegro5-dev
liballegro-ttf5-dev
libevent-dev
libpuzzle1
libssh2-1
liblinear1
libsvm3
libxml2-dev
libc6
libblas3
liblapack3
freetds-dev
ocl-icd-opencl-dev
libode-dev
libopenal-dev
libalut-dev
libfann-dev
libglpk-dev
libgsl0-dev
libpango1.0-dev
libplplot-dev
libpng12-dev
libportaudio2
libproj-dev
pslib1
librabbitmq-dev
r-mathlib
libreadline6
librrd-dev
librsvg2-2
zlib1g-dev
libsane-dev
libsdl2-image-2.0-0
libsdl2-ttf-2.0-0
libslp-dev
libsoil-dev
libsdl1.2-dev
libtesseract-dev
libtidy-0.99-0
libtokyocabinet-dev
libkyotocabinet-dev
libwayland-dev
libsoup2.4-1
libwebkit2gtk-4.0-dev
libxkbcommon-dev
libassimp3
libsdl-mixer1.2
libmysqlclient-dev
unixodbc-dev
libpq-dev
libsqlite0-dev
libncursesw5
libxrandr-dev
libbluetooth-dev
libsdl2-gfx-1.0-0
libev4
libleveldb-dev
libnet1-dev
libsdl-ttf2.0-0
liblmdb-dev
libmagic-dev
libflac8
libasound2
libmpg123-0
libvorbisfile3
libpcap0.8-dev
r-base-core
libsmokeqt4-dev
libqt4-dev
libsmokeqtgui4-3
libssl-dev
libsnappy-dev
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment